Subject: Re: linux-next: build failure in final buil

From: Lorenzo Stoakes <[email-masked]>
Date: Tue, 19 May 2026 08:21:25 +0100

On Mon, May 18, 2026 at 01:01:24PM -0700, Andrew Morton wrote:
> On Mon, 18 May 2026 17:11:12 +0100 Mark Brown <[email-masked]> wrote:
>
> > During the final builds today's linux-next build (powerpc
> > pseries_le_defconfig) failed like this:
> >
> > /tmp/next/build/mm/hugetlb.c: In function 'hugetlb_unshare_pmds':
> > /tmp/next/build/mm/hugetlb.c:7282:17: error: implicit declaration of function '__huge_pmd_unshare'; did you mean 'huge_pmd_unshare'? [-Wimplicit-function-declaration]
> >  7282 |                 __huge_pmd_unshare(&tlb, vma, address, ptep, take_locks);
> >       |                 ^~~~~~~~~~~~~~~~~~
> >       |                 huge_pmd_unshare
> > make[4]: *** [/tmp/next/build/scripts/Makefile.build:289
> >
> > Caused by commit
> >
> >   2bb8fe16f7bf4 (mm/hugetlb: avoid false positive lockdep assertion)
> >
> > I have reverted this commit for today.
>
> I removed this from mm.git on May 15, but I cannot find the email which
> prompted me to do that :(
>
> Oh well, I assume Lorenzo will send a new version, thanks.

I sent a fix-patch for this, but will send a respin today if that's easier.

This is a trivial 'forgot to add a stub for a certain config' thing.

Cheers, Lorenzo